@echo off
rem ................................. initialisation:
set MNU=31
set WORK=%1
set MAIN=%1
if not "%2"=="" set WORK=%2
if "%WORK%"=="" set MNU=121
set TEXINPUT=E:;C:\EMTEX\TEXINPUT
rem ................................. running menu:
:menu
e:mnu e:texcfg.mnu e:envir.bat e:dos.bat e:mfbat.bat e:gfbat.bat
call e:envir
if "%MAIN%"=="" set MAIN=%WORK%
rem ................................. chose process:
if errorlevel 255 goto syserr
if errorlevel 172 goto czech
if errorlevel 171 goto english
if errorlevel 152 goto gfcomm
if errorlevel 151 goto mfcomm
if errorlevel 133 goto exview
if errorlevel 132 goto extex
if errorlevel 131 goto exedit
if errorlevel 125 goto dosbat
if errorlevel 105 goto archive
if errorlevel  58 goto ViewTXM
if errorlevel  57 goto TeXTXM
if errorlevel  56 goto EditTXM
if errorlevel  54 goto GFtoPK
if errorlevel  53 goto metafont
if errorlevel  52 goto EditMF
if errorlevel  48 goto ClearOp
if errorlevel  47 goto EditOp
if errorlevel  44 goto Laser
if errorlevel  43 goto MakeEps
if errorlevel  42 goto Matrix
if errorlevel  41 goto View180
if errorlevel  37 goto bat
if errorlevel  36 goto tie
if errorlevel  35 goto spell
if errorlevel  34 goto TEedit
if errorlevel  33 goto View
if errorlevel  32 goto TeX
if errorlevel  31 goto Edit
if errorlevel  29 goto quit
if errorlevel  27 goto editor
if errorlevel  26 goto shell
if errorlevel  24 goto clear
goto quit
rem ................................. running Edit -> TeX -> View:
:Edit
if     "%MAIN%"=="%WORK%" e:edit %WORK%.%FIX%
if not "%MAIN%"=="%WORK%" e:edit %WORK%.tex
set MNU=32
goto menu
:TeX
call e:texrun %MAIN% %FIX%
set MNU=33
goto menu
:View
command c:\ /ce:view %MAIN%
set MNU=31
goto menu
rem ................................. Experiment:
:exEdit
e:edit %MAIN%.try
set MNU=132
goto menu
:exTeX
call e:texrun %MAIN% try
set MNU=133
goto menu
:exView
command c:\ /ce:view %MAIN%
set MNU=131
goto menu
rem ................................. correction of document:
:TEedit
if     "%MAIN%"=="%WORK%" c:\emtex\TE %WORK%.%FIX% /l
if not "%MAIN%"=="%WORK%" copy %MAIN%.log %WORK%.log
if not "%MAIN%"=="%WORK%" c:\emtex\TE %WORK%.tex   /l
set MNU=32
goto menu
:spell
if %LANG%==english echo SORRY: english version of spell not installed
if %LANG%==english goto menu
if     "%WORK%"=="%MAIN%" c:\emtex\spell\texspell %WORK%.%FIX%
if not "%WORK%"=="%MAIN%" c:\emtex\spell\texspell %WORK%.tex
set MNU=32
goto menu
:tie
if %LANG%==english echo SORRY: there is no reason to use the tie in english version
if %LANG%==english goto menu
if     "%WORK%"=="%MAIN%" c:\emtex\vlnka %WORK%.%FIX% KkOoUuVvSsZz
if not "%WORK%"=="%MAIN%" c:\emtex\vlnka %WORK%.tex   KkOoUuVvSsZz
set MNU=32
goto menu
:bat
echo on
call bat.bat
@echo off
goto menu
rem ................................. Prints:
:View180
command c:\ /ce:view %MAIN% opt
goto menu
:Matrix
command c:\ /ce:matrix %MAIN% prn
goto menu
:MakeEps
command c:\ /ce:matrix %MAIN% %MAIN%.eps
goto menu
:Laser
echo SORRY: the function you need is not installed at this computer
set MNU=41
goto menu
rem ................................. Prints - options:
:EditOp
e:edit %MAIN%.opt
set MNU=41
goto menu
:ClearOp
del %MAIN%.opt
set MNU=41
goto menu
rem ................................. METAFONT:
:mfcomm
set MNU=152
goto menu
:gfcomm
set MNU=51
goto menu
:EditMF
e:edit %MAIN%.mf
set MNU=53
goto menu
:metafont
set MNU=52
call e:mfbat
e:totext
goto menu
:GFtoPK
call e:gfbat
goto menu
rem ................................. include a new font in TeX:
:EditMFT
e:edit %MAIN%.mft
set MNU=57
goto menu
:TeXMFT
call e:texrun %MAIN% mft
set MNU=58
goto menu
:ViewMFT
command c:\ /ce:view %MAIN%
set MNU=56
goto menu
rem ................................. Special functions:
:dosbat
set MNU=25
call e:dos
goto menu
:editor
e:edit
goto menu
:clear
if not %MAIN%==%WORK% echo delete %WORK%.bak
if not %MAIN%==%WORK% del %WORK%.bak
echo delete %MAIN%.bak %MAIN%.log %MAIN%.dvi %MAIN%.aux %MAIN%.hp %MAIN%.eps
for %%f in (bak log dvi aux hp eps) do del %MAIN%.%%f
goto menu
:shell
c:\nc\nc
goto menu
rem ................................. Diskette:
:archive
if %AR%==from goto fromdisc
echo copy %D%:%MAIN%.%FIX%
copy %D%:%MAIN%.%FIX%
if not %WORK%==%MAIN% echo copy %D%:%WORK%.tex
if not %WORK%==%MAIN% copy %D%:%WORK%.tex
set MNU=31
goto menu
:fromdisc
echo copy %MAIN%.%FIX% %D%:
copy %MAIN%.%FIX% %D%:
if not %MAIN%==%WORK% echo copy %WORK%.tex %D%:
if not %MAIN%==%WORK% copy %WORK%.tex %D%:
set MNU=31
goto menu
rem ................................. Language:
:english
set FIX=tex
set LANG=english
c:\tools\cs /u
set MNU=62
goto menu
:czech
set FIX=cs
set LANG=czech
c:\tools\cs
set MNU=62
goto menu
rem ................................. Final:
:syserr
echo SORRY - Error in configuration of TeX system.
echo Please ask the system engineer to solving this problem.
:quit
if %FIX%==cs c:\tools\cs /u
echo End of TeX system. Bye!
